MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024218Open CASCADE[OCCT] OCCT:Shape Healingpublic2013-10-01 15:592016-08-06 13:12
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024218: ShapeFix_Face requires double execution to produce valid shape when FixSplitFaceMode is in effect
DescriptionShapeFix_Face produces invalid faces even when all required flags have been set. The same issue can be reproduced with fixshape command.
Steps To Reproducerestore f.brep f
checkshape f
fixshape r f +o
checkshape r
fixshape rr r +o
checkshape rr
TagsNo tags attached.
Test case numberbugs heal(017) bug24218
Attached Files? file icon f.brep (12,862 bytes) 2013-10-01 15:59

- Relationships
related to 0024181closedbugmaster Text to BRep functionality 
related to 0025852closedbugmaster Visualization - Font_BRepFont produces bad faces for circled symbols 

-  Notes
(0028919)
ika (developer)
2014-04-17 11:14

Add check of wire orientation before adding internal wire in splitting face

Branch CR24218 is ready to be reviewed.

Dear GKA,
Please review.
(0028927)
gka (developer)
2014-04-17 13:44

Branch CR24218 is ready to test
(0029039)
mkv (tester)
2014-04-23 16:41

Dear BugMaster,

Branch CR24218 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 8739ac7d721466bd77dff6b1991a458498f0d87a

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 410 (410 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24218-master-occt/Debian60-64/bugs/heal/bug24218.html [^]
http://occt-tests/CR24218-master-occt/Windows-32-VC9/bugs/heal/bug24218.html [^]
bugs heal(017) bug24218: OK

Testing on Linux:
Total MEMORY difference: 355573852 / 355845808
Total CPU difference: 52891.1400000001 / 55266.979999999734

Testing on Windows:
Total MEMORY difference: 379314320 / 381861276
Total CPU difference: 35622.484375 / 43088.59375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 77193183
Timestamp: 2014-04-24 12:31:26
Author: ika
Committer: bugmaster
Details ] Diff ]
0024218: ShapeFix_Face requires double execution to produce valid shape when FixSplitFaceMode is in effect

Test case for issues CR24218
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]
add - tests/bugs/heal/bug24218 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-10-01 15:59 kgv New Issue
2013-10-01 15:59 kgv Assigned To => gka
2013-10-01 15:59 kgv File Added: f.brep
2013-10-01 16:50 kgv Relationship added related to 0024181
2013-10-15 20:39 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:34 abv Target Version 6.7.1 => 6.8.0
2014-04-15 10:36 gka Assigned To gka => ika
2014-04-15 10:37 gka Status new => assigned
2014-04-17 11:14 ika Note Added: 0028919
2014-04-17 11:14 ika Assigned To ika => gka
2014-04-17 11:14 ika Status assigned => resolved
2014-04-17 13:44 gka Note Added: 0028927
2014-04-17 13:44 gka Status resolved => reviewed
2014-04-18 17:17 mkv Assigned To gka => mkv
2014-04-23 16:41 mkv Note Added: 0029039
2014-04-23 16:42 mkv Test case number => bugs heal(017) bug24218
2014-04-23 16:42 mkv Assigned To mkv => bugmaster
2014-04-23 16:42 mkv Status reviewed => tested
2014-04-28 10:27 bugmaster Changeset attached => occt master 77193183
2014-04-28 10:27 bugmaster Status tested => verified
2014-04-28 10:27 bugmaster Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed
2016-08-06 13:12 kgv Relationship added related to 0025852


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker